#include "gtkseparatormenuitem.h"
#include "gtkseparatortoolitem.h"

#ifndef _
#  define _(s) (s)
#endif

static void gtk_separator_tool_item_class_init (GtkSeparatorToolItemClass*class);

static void gtk_separator_tool_item_add (GtkContainer *container,
					 GtkWidget    *child);

static GObjectClass *parent_class = NULL;


GType
gtk_separator_tool_item_get_type (void)
{
  static GType type = 0;

  if (!type)
    {
      static const GTypeInfo type_info =
	{
	  sizeof (GtkSeparatorToolItemClass),
	  (GBaseInitFunc) 0,
	  (GBaseFinalizeFunc) 0,
	  (GClassInitFunc) gtk_separator_tool_item_class_init,
	  (GClassFinalizeFunc) 0,
	  NULL,
	  sizeof (GtkSeparatorToolItem),
	  0, /* n_preallocs */
	  (GInstanceInitFunc) NULL,
	};

      type = g_type_register_static (GTK_TYPE_TOOL_ITEM,
				     "GtkSeparatorToolItem", &type_info, 0);
    }
  return type;
}


static void
gtk_separator_tool_item_class_init (GtkSeparatorToolItemClass *class)
{
  GtkContainerClass *container_class;
  GtkToolItemClass *toolitem_class;

  parent_class = g_type_class_peek_parent (class);
  container_class = (GtkContainerClass *)class;
  toolitem_class = (GtkToolItemClass *)class;

  container_class->add = gtk_separator_tool_item_add;
}

static void
gtk_separator_tool_item_add (GtkContainer *container,
			     GtkWidget    *child)
{
  g_warning("attempt to add a child to an GtkSeparatorToolItem");
}

GtkToolItem *
gtk_separator_tool_item_new (void)
{
  GtkToolItem *self;

  self = g_object_new (GTK_TYPE_SEPARATOR_TOOL_ITEM,
		       NULL);
  
  return self;
}
